package com.lerx.entities;

import com.lerx.user.entities.Luser;

public class User extends Luser{
	
	private Role role;
	private String regCodeSendTarget;
	private String nickname;
	private String dept;
	private long artsPassed;
	private long artsTotal;
	private String contactsVerifyed;			//已验证状态字符串，从右侧开始，第1位是Email，第二位是手机
	private boolean gag;
	
	
	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}

	public String getRegCodeSendTarget() {
		return regCodeSendTarget;
	}

	public void setRegCodeSendTarget(String regCodeSendTarget) {
		this.regCodeSendTarget = regCodeSendTarget;
	}

	public String getNickname() {
		return nickname;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	public String getDept() {
		return dept;
	}

	public void setDept(String dept) {
		this.dept = dept;
	}

	public long getArtsPassed() {
		return artsPassed;
	}

	public void setArtsPassed(long artsPassed) {
		this.artsPassed = artsPassed;
	}

	public long getArtsTotal() {
		return artsTotal;
	}

	public void setArtsTotal(long artsTotal) {
		this.artsTotal = artsTotal;
	}

	public String getContactsVerifyed() {
		return contactsVerifyed;
	}

	public void setContactsVerifyed(String contactsVerifyed) {
		this.contactsVerifyed = contactsVerifyed;
	}

	public boolean isGag() {
		return gag;
	}

	public void setGag(boolean gag) {
		this.gag = gag;
	}
	
}
